package com.tzld.piaoquan.wecom.utils;

import org.apache.commons.lang3.StringUtils;

import static com.tzld.piaoquan.wecom.common.constant.MessageConstant.defaultName;

public class MessageUtil {

    public static Long getVideoId(String page){
        String translate = URLUtil.translate(page);
        String videoId = translate.split("id=")[1].split("&")[0];
        if (StringUtils.isNotEmpty(videoId) && StringUtils.isNumeric(videoId)) {
            return Long.parseLong(videoId);
        }
        return null;
    }

    public static String getName(){
        return String.format(defaultName, DateUtil.getDayDateString("MMdd"));
    }

}
