package com.tzld.piaoquan.wecom.utils;


import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.Calendar;
import java.util.Date;

public class DateUtil {

    //获取当天的日期
    public static Date getThatDayDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(new Date());
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        return calendar.getTime();
    }

    public static String getBeforeDayDateString() {
        DateTimeFormatter dateFormat = DateTimeFormatter.ofPattern("yyyyMMdd");
        LocalDate today = LocalDate.now();
        LocalDate yesterday = today.minusDays(1);
        return dateFormat.format(yesterday);
    }

    public static String getDayDateString(String pattern) {
        DateTimeFormatter dateFormat = DateTimeFormatter.ofPattern(pattern);
        LocalDate today = LocalDate.now();
        return dateFormat.format(today);
    }

    public static Long dateDifference(Date date1, Date date2) {
        return Math.abs(date1.getTime() - date2.getTime());
    }


}
